Debian Bug report logs - #609845
RM: imapsync -- ROM; no longer distributable

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Wed, 12 Jan 2011 23:51:02 UTC

Severity: important

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Wed, 12 Jan 2011 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to RISKO Gergely <risko@debian.org>. (Wed, 12 Jan 2011 23:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: huge memory leak when syncing large mailboxes
Date: Thu, 13 Jan 2011 00:47:39 +0100
Package: imapsync
Version: 1.315+dfsg-1
Severity: important

Hi,

I've been trying to sync a larger IMAP mailbox (~6Gb including all
folders) and imapsync constantly gets terminated by the kernel
OOM-killer because it takes up all available memory (1024 mb).

This makes imapsync basically useless for me, so I was tempted to file
with severity grave.

The used command was:

imapsync --host1 host1 --user1 foo --authmech1 PLAIN --ssl1 
  --prefix INBOX. --host2 host2 --user2 bar --authmech2 PLAIN

Cheers,
Michael


-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages imapsync depends on:
ii  libdate-manip-perl           6.20-1      module for manipulating dates
ii  libdigest-hmac-perl          1.02+dfsg-1 module for creating standard messa
ii  libio-socket-ssl-perl        1.37-1      Perl module implementing object or
ii  libmail-imapclient-perl      3.25-1      Perl library for manipulating IMAP
ii  libterm-readkey-perl         2.30-4      A perl module for simple terminal 
ii  perl                         5.10.1-17   Larry Wall's Practical Extraction 

imapsync recommends no packages.

imapsync suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Thu, 13 Jan 2011 00:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Thu, 13 Jan 2011 00:48:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Gilles LAMIRAL <gilles.lamiral@laposte.net>
To: Michael Biebl <biebl@debian.org>, 609845@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, phil@perkpartners.com
Subject: Re: Bug#609845: huge memory leak when syncing large mailboxes
Date: Thu, 13 Jan 2011 01:42:42 +0100
Hello Michael,

> I've been trying to sync a larger IMAP mailbox (~6Gb including all
> folders) and imapsync constantly gets terminated by the kernel
> OOM-killer because it takes up all available memory (1024 mb).

This maybe a well known problem coming directly from libmail-imapclient-perl.
The problem doesn't come with large mailbox but with large messages.
imapsync uses memory nearly 17 times the largest message size.
There is also an old memory issue on freebsd systems.

> This makes imapsync basically useless for me, so I was tempted to file
> with severity grave.

Ok. You can "fix" this with
  --maxsize 10000000 --useheader Message-Id
or by buying a better tool or RAM or by fixing this memory problem,
it is not a leak issue, the code written in Mail::IMAPClient
does allocate inefficiently objects.

-- 
Au revoir,                             09 51 84 42 42
Gilles Lamiral. France, Baulon (35580) 06 20 79 76 06




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Thu, 13 Jan 2011 00:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Thu, 13 Jan 2011 00:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Thu, 13 Jan 2011 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Thu, 13 Jan 2011 01:06:03 GMT) Full text and rfc822 format available.

Message #20 received at 609845@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>
Cc: 609845@bugs.debian.org, phil@perkpartners.com, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: huge memory leak when syncing large mailboxes
Date: Thu, 13 Jan 2011 02:03:57 +0100
[Message part 1 (text/plain, inline)]
Hi!

On 13.01.2011 01:42, Gilles LAMIRAL wrote:
> Hello Michael,
> 
>> I've been trying to sync a larger IMAP mailbox (~6Gb including all
>> folders) and imapsync constantly gets terminated by the kernel
>> OOM-killer because it takes up all available memory (1024 mb).
> 
> This maybe a well known problem coming directly from libmail-imapclient-perl.
> The problem doesn't come with large mailbox but with large messages.
> imapsync uses memory nearly 17 times the largest message size.
> There is also an old memory issue on freebsd systems.
> 
>> This makes imapsync basically useless for me, so I was tempted to file
>> with severity grave.
> 
> Ok. You can "fix" this with
>    --maxsize 10000000 --useheader Message-Id
> or by buying a better tool or RAM or by fixing this memory problem,
> it is not a leak issue, the code written in Mail::IMAPClient
> does allocate inefficiently objects.

Thanks for the hints, I'll try them next time.
As the memory usage constantly grew before imapsync getting killed, I assumed it
was a mem-leak. I'm sorry if this assumption was wrong.

Given your comments, this means I probably have an email which is bigger than 60Mb.
As you say this is an issue in Mail:IMAPClient, I guess this bug should be
re-assigned to libmail-imapclient-perl?
Or can imapsync workaround this limitation in Mail:IMAPClient somehow?

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Thu, 13 Jan 2011 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Thu, 13 Jan 2011 02:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 609845@bugs.debian.org (full text, mbox):

From: Gilles LAMIRAL <gilles.lamiral@laposte.net>
To: Michael Biebl <biebl@debian.org>
Cc: 609845@bugs.debian.org, phil@perkpartners.com, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: huge memory leak when syncing large mailboxes
Date: Thu, 13 Jan 2011 03:46:08 +0100
Hello Michael,

> As the memory usage constantly grew before imapsync getting killed, I assumed it
> was a mem-leak. I'm sorry if this assumption was wrong.

I said maybe. Your tries with --maxsize will tell us.

> Given your comments, this means I probably have an email which is bigger than 60Mb.

Yes. An other thing is that --ssl* can bring issues too.
Use --tls* instead or nothing if possible.

Recent imapsync releases prints info about memory usage but do not
solve the issue. I think I'll add a ligne about the biggest message
in each folder. Imapsync is still free DWTF software but not
gratis from the homepage.

> As you say this is an issue in Mail:IMAPClient, I guess this bug should be
> re-assigned to libmail-imapclient-perl?

A ticket exists already.

> Or can imapsync workaround this limitation in Mail:IMAPClient somehow?

I try but I partially succeeded. I went to decrease 17 to 4 times but I got errors
and I gave up. I need to read carefully the IMAP RFC before going on again.

-- 
Au revoir,                             09 51 84 42 42
Gilles Lamiral. France, Baulon (35580) 06 20 79 76 06




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Thu, 13 Jan 2011 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Thu, 13 Jan 2011 21:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 609845@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>
Cc: 609845@bugs.debian.org, phil@perkpartners.com, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: huge memory leak when syncing large mailboxes
Date: Thu, 13 Jan 2011 22:21:51 +0100
[Message part 1 (text/plain, inline)]
On 13.01.2011 03:46, Gilles LAMIRAL wrote:
> Recent imapsync releases prints info about memory usage but do not
> solve the issue. I think I'll add a ligne about the biggest message
> in each folder. Imapsync is still free DWTF software but not
> gratis from the homepage.

Yeah, I just noticed that imapsync is no longer free, which is a shame.

I thus won't further debug this and switch to an alternative instead.

Thanks for your time anyway,

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Fri, 14 Jan 2011 05:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Fri, 14 Jan 2011 05:12:03 GMT) Full text and rfc822 format available.

Message #35 received at 609845@bugs.debian.org (full text, mbox):

From: Gilles LAMIRAL <gilles.lamiral@laposte.net>
To: Michael Biebl <biebl@debian.org>, 609845@bugs.debian.org, "Phil Pearl (Lobbes)" <phil@zimbra.com>
Cc: pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: huge memory leak when syncing large mailboxes
Date: Fri, 14 Jan 2011 06:09:22 +0100
Hello Michael,

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609845

> Yeah, I just noticed that imapsync is no longer free, which is a shame.

It is very funny to see such an opinion from a Debian guy.
You seem to ignore what means free in "free software".
Imapsync is still free software, the licence let you do what you want,
distributing free, selling, changing, making it non-free, making it free
as what any mean you put in free. You can even make it a GPL software,
this is far away more free than any GPL software. Really free, no?
So I have no shame about imapsync and won't ever have any.

> I thus won't further debug this and switch to an alternative instead.

No problem, all the other free alternatives are listed in the imapsync README file.
And since the issue comes from a perl module http://search.cpan.org/~plobbes/Mail-IMAPClient-3.25/
which is free open and gratis then your "thus won't further" is stupid.
You're free to stay stupid and I do know that even imapsync were
gratis you wouldn't have proposed any line of patch to correct
the memory issue. Good luck with alternatives, some are really good,
fast, with no memory issue.

Stopping distributing imapsync gratis from the homepage is the best
decision I could do to continue to maintain imapsync and help users.
How do you earn your living with free software?
I do earn my living by selling my free work and I prefer
that than doing an alternative job on non-free software.
If you have a better solution on how to live by writing
and maintaining free softwares I will carefully read it and
even try it, I promise. I do wait your proposals.

PS: Phil I've just added your right address, the one from
http://search.cpan.org/~plobbes/ has error back.


-- 
Au revoir,                             09 51 84 42 42
Gilles Lamiral. France, Baulon (35580) 06 20 79 76 06




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Sat, 15 Jan 2011 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Sat, 15 Jan 2011 05:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 609845@bugs.debian.org (full text, mbox):

From: Gilles LAMIRAL <gilles.lamiral@laposte.net>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>, 609845@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, "Phil Pearl (Lobbes)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: how to live editing dfsg software?
Date: Sat, 15 Jan 2011 06:49:42 +0100
Hello,

>> Afaics this clearly violates the DFSG (either section 2 or 7),

I've read carefully the DFSG and
The first sentence of the first section says
"The license of a Debian component may not restrict any party from selling the software".

Since you think imapsync *must* be gratis for all from anywhere (unless shame) you opinion
clearly  violate  the first sentence of the first section of the DFSG.
Who should blush his eyes with shame?

I still wait your proposals about a better solution on how to live by writing
and maintaining free softwares. Show me I'm stupid too, where and why.


-- 
Au revoir,                             09 51 84 42 42
Gilles Lamiral. France, Baulon (35580) 06 20 79 76 06





Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Sat, 15 Jan 2011 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Pearl (Lobbes) <phil@perkpartners.com>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Sat, 15 Jan 2011 22:09:05 GMT) Full text and rfc822 format available.

Message #45 received at 609845@bugs.debian.org (full text, mbox):

From: Phil Pearl (Lobbes) <phil@perkpartners.com>
To: Michael Biebl <biebl@debian.org>, Gilles LAMIRAL <gilles.lamiral@laposte.net>
Cc: 609845@bugs.debian.org, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: huge memory leak when syncing large mailboxes
Date: Sat, 15 Jan 2011 16:45:23 -0500
Hi Michael and Gilles,

Sorry for the delay in responding.

> >> I've been trying to sync a larger IMAP mailbox (~6Gb including all
> >> folders) and imapsync constantly gets terminated by the kernel
> >> OOM-killer because it takes up all available memory (1024 mb).

Michael, do you know what the size is of largest message that is being
sync'd?  I saw you mentioned maybe 60MB so I can try that out as a test
case I guess.

> > This maybe a well known problem coming directly from
> > libmail-imapclient-perl.  The problem doesn't come with large
> > mailbox but with large messages.  imapsync uses memory nearly 17
> > times the largest message size.  There is also an old memory issue
> > on freebsd systems.

Mail::IMAPClient has some major inefficiencies and I suppose imapsync
ends up doubling those because of the "from" and "to" objects each
creating copies of the messages (and because methods used keep data in
memory instead of moving them to files... it's a trade-off for sure).

I'll try to look a bit more at this problem over the next few weeks.
I've had a few complaints about memory usage.  I am not convinced we
have a leak but we definitely waste resources.  I'll have to do some leg
work to find something that helps expose the root of the problem(s) if
there are any outside of the obvious inefficiencies.

  > Or can imapsync workaround this limitation in Mail:IMAPClient
  > somehow?

Gilles, you said...

  I try but I partially succeeded. I went to decrease 17 to 4 times but
  I got errors and I gave up. I need to read carefully the IMAP RFC
  before going on again.

Any chance you want to share some details on changes you made and/or
attempted?  Or were they simply changing of which methods you used and
not changes working around Mail::IMAPClient behavior? I know you've
chosen to not share code anymore, but I hope you will reciprocate
if/when appropriate.

In theory append_file() should be more (memory) efficient than
append()/append_string() on large messages.  Likewise for
message_string() vs message_to_file().  Last I checked, imapsync still
uses append_string() which causes the entire message contents to get
stored in memory (several times over perhaps).  It might be worth while
to use append_string() for messages up to size X and then switch to
append_file()/message_file() when the messages are > size X if those
cases can easily be identified by imapsync.  Otherwise, imapsync will
always be straining system memory for large files.

For everyone's reference, the bug filed on CPAN for Mail::IMAPClient is:

  Bug #61292: Memory consumption with message_string() and append()
  https://rt.cpan.org/Public/Bug/Display.html?id=61292

Phil




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Mon, 17 Jan 2011 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Mon, 17 Jan 2011 11:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 609845@bugs.debian.org (full text, mbox):

From: Gilles LAMIRAL <gilles.lamiral@laposte.net>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>, 609845@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>, "Phil Pearl (Lobbes)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: apologize
Date: Mon, 17 Jan 2011 12:12:52 +0100
Hello,

I've made a mistake, I quoted a private message from Michael publicly
and I apologise for it, I was wrong.

-- 
Au revoir,                             09 51 84 42 42
Gilles Lamiral. France, Baulon (35580) 06 20 79 76 06




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Sun, 23 Jan 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Risko <risko@debian.org>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Sun, 23 Jan 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #55 received at 609845@bugs.debian.org (full text, mbox):

From: Gergely Risko <risko@debian.org>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>, debian-legal@lists.debian.org
Cc: 609845@bugs.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl \(Lobbes\)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: situation of imapsync and Debian (was: Re: Bug#609845: huge memory leak when syncing large mailboxes)
Date: Sun, 23 Jan 2011 23:18:51 +0100
Hi guys,

Executive summary for new recipients (debian-legal): imapsync has
changed its distribution policy, downloads from the author's original
website are not free (as in beer) anymore.  Of course `apt-get source'
or `apt-get install' is still free, as the package is still in the
Debian archive.  The licensing hasn't changed, Debian's distribution of
the package is still legal.  As the maintainer of the package, I am
starting discussion about the future of this package in the archive.

Details:

Sorry for hijacking this thread for license/distribution discussions,
but I guess this is the best way to keep the people notified who are
already in this discussion.

On Fri, 14 Jan 2011 06:09:22 +0100, Gilles LAMIRAL <gilles.lamiral@laposte.net> writes:
> So I have no shame about imapsync and won't ever have any.

No shame on either sides.  I totally agree: you should have a safe and
nice living and you should have enough money to pay for it.

On an orthogonal note, I am not feeling comfortable about dealing with
imapsync Debian packaging anymore.  It is my (sparse) free time and I
would like to commit it to projects that are free (as in speech _AND_
beer) and easily downloadable from the original author without any kind
of payment and/or license reading/investigation.  Please accept my
decision about this.  Thanks for all the time in the past you have spent
on discussing with me, dealing with Debian stuff.

I do not have the legal skills to discuss wether your webpage and your
distribution policy of imapsync
(http://www.linux-france.org/prj/imapsync/) is compatible or not with
the debian social contract.  I will leave this to the debian-legal
people.

Now imapsync doesn't have a debian maintainer anymore, so we will have
to look for a new one.  You can read about the Debian process for this
at http://www.debian.org/devel/wnpp/.  Of course the upstream author's
opinion is very important to us, so Gilles, let me ask you a few
questions:

   - do you want Debian to continue distributing your program
     (http://packages.debian.org/unstable/mail/imapsync)?

   - if yes, do you want us to update the package for later versions?

   - if yes, will you provide the source code to us for free and allow
     us to redistribute it?

If it is needed, I am happy to contact the ftp masters to make any
necessary deletion from the Debian archive as quickly as possible.

Thanks again for working with us and I wish you good luck with your
business around imapsync and/or other projects.

Gergely




Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Sun, 23 Jan 2011 23:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gilles LAMIRAL <gilles.lamiral@laposte.net>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Sun, 23 Jan 2011 23:33:05 GMT) Full text and rfc822 format available.

Message #60 received at 609845@bugs.debian.org (full text, mbox):

From: Gilles LAMIRAL <gilles.lamiral@laposte.net>
To: Gergely Risko <risko@debian.org>
Cc: debian-legal@lists.debian.org, 609845@bugs.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl (Lobbes)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: situation of imapsync and Debian
Date: Sun, 23 Jan 2011 23:33:02 +0100
Hello,

>    - do you want Debian to continue distributing your program
>      (http://packages.debian.org/unstable/mail/imapsync)?

No.

I thank you very much for all the time and skill you spent packaging imapsync in Debian.


-- 
Au revoir,                             09 51 84 42 42
Gilles Lamiral. France, Baulon (35580) 06 20 79 76 06





Information forwarded to debian-bugs-dist@lists.debian.org, RISKO Gergely <risko@debian.org>:
Bug#609845; Package imapsync. (Tue, 25 Jan 2011 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Risko <risko@debian.org>:
Extra info received and forwarded to list. Copy sent to RISKO Gergely <risko@debian.org>. (Tue, 25 Jan 2011 10:42:04 GMT) Full text and rfc822 format available.

Message #65 received at 609845@bugs.debian.org (full text, mbox):

From: Gergely Risko <risko@debian.org>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>
Cc: debian-legal@lists.debian.org, 609845@bugs.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl \(Lobbes\)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: ftp.debian.org: RM: imapsync -- RoM; author doesn't want us to distribute his program
Date: Tue, 25 Jan 2011 11:40:22 +0100
Package: ftp.debian.org
Severity: normal

Hi,

Please remove imapsync from unstable.  New versions of the program can
only be downloaded for money from the upstream author's website and
therefore distributing the program for free in Debian is not requested
by him anymore.

The whole discussion can be found in #609845.

Thank you,
Gergely

On Sun, 23 Jan 2011 23:33:02 +0100, Gilles LAMIRAL <gilles.lamiral@laposte.net> writes:

> Hello,
>
>>    - do you want Debian to continue distributing your program
>>      (http://packages.debian.org/unstable/mail/imapsync)?
>
> No.
>
> I thank you very much for all the time and skill you spent packaging imapsync in Debian.




Bug reassigned from package 'imapsync' to 'ftp.debian.org'. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 13:00:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions imapsync/1.315+dfsg-1. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 13:00:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: imapsync -- ROM; no longer distributable' from 'huge memory leak when syncing large mailboxes' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 25 Jan 2011 13:00:04 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 25 Jan 2011 15:00:08 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 25 Jan 2011 15:00:08 GMT) Full text and rfc822 format available.

Message #76 received at 609845-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 609845-close@bugs.debian.org
Cc: imapsync@packages.debian.org, imapsync@packages.qa.debian.org
Subject: Bug#609845: Removed package(s) from unstable
Date: Tue, 25 Jan 2011 14:56:34 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  imapsync | 1.315+dfsg-1 | source, all

------------------- Reason -------------------
ROM; no longer distributable
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609845@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/609845

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#609845; Package ftp.debian.org. (Wed, 26 Jan 2011 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeff Epler <jepler@unpythonic.net>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 26 Jan 2011 13:33:03 GMT) Full text and rfc822 format available.

Message #81 received at 609845@bugs.debian.org (full text, mbox):

From: Jeff Epler <jepler@unpythonic.net>
To: Gergely Risko <risko@debian.org>
Cc: Gilles LAMIRAL <gilles.lamiral@laposte.net>, debian-legal@lists.debian.org, 609845@bugs.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl (Lobbes)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: ftp.debian.org: RM: imapsync -- RoM; author doesn't want us to distribute his program
Date: Wed, 26 Jan 2011 07:22:26 -0600
I do not understand why you wish to remove from the debian archive
software that debian users may rely on (as far as I can see from the
original report, not everyone's use of the version Debian ships hits the
reported problem), just because of a possible license problem in a
*different version* of the software than debian ships.

As far as I can see, the author of this software has even said in a
message in this bug report that "You can even make [this software] a GPL
software"[1], which I understand him to mean that the intent of the new
license is to be GPL-compatible!

Jeff
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609845#35




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#609845; Package ftp.debian.org. (Wed, 26 Jan 2011 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Risko <gergely@risko.hu>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 26 Jan 2011 15:09:06 GMT) Full text and rfc822 format available.

Message #86 received at 609845@bugs.debian.org (full text, mbox):

From: Gergely Risko <gergely@risko.hu>
To: Jeff Epler <jepler@unpythonic.net>
Cc: Gilles LAMIRAL <gilles.lamiral@laposte.net>, debian-legal@lists.debian.org, 609845@bugs.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl \(Lobbes\)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: ftp.debian.org: RM: imapsync -- RoM; author doesn't want us to distribute his program
Date: Wed, 26 Jan 2011 15:29:08 +0100
Dear Jeff,

Thank you for your opinion.

Please consider the fact that the author explicitly asked us to _NOT_
distribute his software.  I do not believe that Debian is (or should be)
an organization that disregards a request like this.

The author explicitly said that he is trying a new business model and it
is clear that our distribution makes that harder.

If you do not agree with this reasoning and you want to go the opposite
way, feel free to buy the source from Gilles (or download an old version
for free if you are really that cheap), relicense it as GPL, find a new
name, find a new maintainer in Debian and upload a new package.

But I do not want to be part of it and I sincerely hope that other
Debian Developers feel the same way and honor Gilles work enough to not
intentionally try to kill his business.

> I do not understand why you wish to remove from the debian archive
> software that debian users may rely on (as far as I can see from the
> original report, not everyone's use of the version Debian ships hits the
> reported problem), just because of a possible license problem in a
> *different version* of the software than debian ships.

So please accept my explanation and please understand, that I do not
abandon the package because of the license problems, but because of the
request of the upstream author.

> As far as I can see, the author of this software has even said in a
> message in this bug report that "You can even make [this software] a GPL
> software"[1], which I understand him to mean that the intent of the new
> license is to be GPL-compatible!

You are reading very selectively.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609845#60

Please observe, the short "No." it contains everything.

Gilles: if I misunderstood you, please say it, but currently I do not
see any reason why Debian should distribute this software against your
will.

Jeff: the package is already removed, so our argument is quite
hypothetical anyway, a new upload has to be done if you want to see the
package again in unstable.  Happy hacking if you are willing to work on
that, with the current status of the upstream I am not willing.

Thanks for your mail,
Gergely




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#609845; Package ftp.debian.org. (Wed, 26 Jan 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 26 Jan 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #91 received at 609845@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Jeff Epler <jepler@unpythonic.net>, 609845@bugs.debian.org
Cc: Gergely Risko <risko@debian.org>, Gilles LAMIRAL <gilles.lamiral@laposte.net>, debian-legal@lists.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl (Lobbes)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: Bug#609845: ftp.debian.org: RM: imapsync -- RoM; author doesn't want us to distribute his program
Date: Wed, 26 Jan 2011 16:23:45 +0100
Hi Jeff!

Am 26.01.2011 14:22, schrieb Jeff Epler:
> I do not understand why you wish to remove from the debian archive
> software that debian users may rely on (as far as I can see from the
> original report, not everyone's use of the version Debian ships hits the
> reported problem), just because of a possible license problem in a
> *different version* of the software than debian ships.

To the best of my knowledge, there is no license probleme per se.  There
are similar examples of "pay for download, but then it's free" software
(sorry, forgot the name; but it's somewhere in the archive... I think
it's a package starting with the letter "b", but I can't remember details.)

> As far as I can see, the author of this software has even said in a
> message in this bug report that "You can even make [this software] a GPL
> software"[1], which I understand him to mean that the intent of the new
> license is to be GPL-compatible!

Please scroll down in the very bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609845#60

The author of the software cleary stated, that he wished to no longer
have his software distributed in Debian.  Please also note, that the
former maintainer of the imapsync package did no longer want to continue
maintaining that package.

So for Debian, the decission was to a) remove it or b) properly orphan
it, and wait for someone to pick up maintainership or (more likely)
leave it the state it is, bitrotting in our archive.  Option b) would
have also lead to problems supporting that package in Debian.

Given the circumstances, I considered it quite unlikely, that someone
would pick up maintainance of it, so I picked option a) (with the soon
to be release of squeeze also in mind).

I'm sorry, that the removal of the package causes problems for users,
but I still think removal of the package is the best solution, but
hopefully most of these users can migrate to similar tools in Debian.

Best regards,
  Alexander






Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#609845; Package ftp.debian.org. (Wed, 26 Jan 2011 17:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Risko <gergely@risko.hu>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 26 Jan 2011 17:24:09 GMT) Full text and rfc822 format available.

Message #96 received at 609845@bugs.debian.org (full text, mbox):

From: Gergely Risko <gergely@risko.hu>
To: Gilles LAMIRAL <gilles.lamiral@laposte.net>
Cc: Jeff Epler <jepler@unpythonic.net>, debian-legal@lists.debian.org, 609845@bugs.debian.org, Michael Biebl <biebl@debian.org>, "Phil Pearl \(Lobbes\)" <phil@zimbra.com>, pkg-perl-maintainers@lists.alioth.debian.org
Subject: Re: ftp.debian.org: RM: imapsync -- RoM; author doesn't want us to distribute his program
Date: Wed, 26 Jan 2011 18:22:12 +0100
On Wed, 26 Jan 2011 15:57:40 +0100, Gilles LAMIRAL <gilles.lamiral@laposte.net> writes:

>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609845#60
>>
>> Please observe, the short "No." it contains everything.
>
> It contains too much. I repeat with precision "No. Do what you want".
> I promise I won't complain anymore about the fact imapsync is on Debian or not.

Okay, then this was a bit of a misunderstanding, but my decision is
still final.  Sorry about the confusion.

If anyone wants to continue whatever way they see fit, the git repo,
containing the packaging can still be found at

http://git.debian.org/?p=collab-maint/imapsync.git;a=summary

and I will not remove it.

Happy hacking,
Gergely




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Feb 2011 07:32:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:08:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.